org.mariadb.jdbc.internal.com.send

## Class SendEd25519PasswordAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
  - - org.mariadb.jdbc.internal.com.send.SendEd25519PasswordAuthPacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

    public class SendEd25519PasswordAuthPacket
    extends AbstractAuthSwitchSendResponsePacket
    implements InterfaceAuthSwitchSendResponsePacket

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket

`authData, packSeq, password, passwordCharacterEncoding`

### Constructor Summary

Constructors
Constructor and Description
`SendEd25519PasswordAuthPacket(String password, byte[] authData, int packSeq, String passwordCharacterEncoding)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(PacketOutputStream pos)` Send Ed25519 plugin authentication result.

### Methods inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket

`handleResultPacket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.com.send.InterfaceAuthSwitchSendResponsePacket

`handleResultPacket`

### Constructor Detail

#### SendEd25519PasswordAuthPacket

    public SendEd25519PasswordAuthPacket(String password,
                                         byte[] authData,
                                         int packSeq,
                                         String passwordCharacterEncoding)

### Method Detail

#### send

    public void send(PacketOutputStream pos)
              throws IOException,
                     SQLException

Send Ed25519 plugin authentication result.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `pos` - database socket
Throws:
  `IOException` - if socket error occur
  `SQLException` - if other kind of error occur